# 3.0.1

Date: 2024-01-25
Tag: 3.0.1

## Overview

3.0.1 is the 2nd [stable][release_policy] version of the 3.0 release
series. It resolves 4 bugs since 3.0.0.

The "stable" label means that we have all planned features implemented and we
see no high-impact issues. However, if you encounter an issue, feel free to
[report it][issues] on GitHub.

[release_policy]: https://www.tarantool.io/en/doc/latest/dev_guide/release_management/#release-policy
[issues]: https://github.com/tarantool/tarantool/issues

## Compatibility

Tarantool 3.x is backward compatible with Tarantool 2.x in the binary data
layout, client-server protocol, and replication protocol.

Please [upgrade][upgrade] using the `box.schema.upgrade()` procedure to unlock
all the new features of the 3.x series.

[upgrade]: https://www.tarantool.io/en/doc/latest/book/admin/upgrades/

## Bugs fixed

### Lua

* Fixed the incorrect propagation of Lua errors raised while loading
  the module via the Tarantool-specific loaders.

### Config

* Fixed an issue when a leader fails to start with the `attempt to index a nil
  value` error if a config with all UUIDs set is used during a cluster's
  bootstrap (gh-9572).

### Httpc

* Fixed a bug when read from a chunked request returns
  nothing (gh-9547).

### Build

* Updated libcurl to version 8.5.0.
